Index: invariantview/perspectives/invariant/help_panel.py
===================================================================
--- invariantview/perspectives/invariant/help_panel.py	(revision d7a39e5e4d2fdf0181a63b2cb239064dd754a674)
+++ invariantview/perspectives/invariant/help_panel.py	(revision 4a2b054ce1972d8c903cf87a9d285cad450d5353)
@@ -19,5 +19,5 @@
         explanation = help()
            
-        label_explain = wx.StaticText(self, -1, explanation, size=(350,320))
+        label_explain = wx.StaticText(self, -1, explanation, size=(350, 320))
             
         vbox.Add(label_explain, 0, wx.ALL|wx.EXPAND, 15)
@@ -51,5 +51,5 @@
         splitter = MultiSplitterWindow(self, style=wx.SP_LIVE_UPDATE)
         rpanel = wx.Panel(splitter, -1)
-        lpanel = wx.Panel(splitter, -1,style=wx.BORDER_SUNKEN)
+        lpanel = wx.Panel(splitter, -1, style=wx.BORDER_SUNKEN)
         
         vbox = wx.BoxSizer(wx.VERTICAL)
@@ -66,5 +66,5 @@
         vbox.Add(header, 0, wx.EXPAND)
        
-        vboxl= wx.BoxSizer(wx.VERTICAL)
+        vboxl = wx.BoxSizer(wx.VERTICAL)
         headerl = wx.Panel(lpanel, -1, size=(-1, 20))
        
@@ -81,11 +81,11 @@
         self.lhelp = html.HtmlWindow(lpanel, -1, style=wx.NO_BORDER)
         self.rhelp = html.HtmlWindow(rpanel, -1, style=wx.NO_BORDER, 
-                                     size=(500,-1))
+                                     size=(500, -1))
         import sans.perspectives.invariant as invariant
         path = invariant.get_data_path(media='media')
-        self.path= os.path.join(path,"invariant_help.html")
+        self.path = os.path.join(path,"invariant_help.html")
      
         self.rhelp.LoadPage(self.path)
-        page="""<html>
+        page = """<html>
             <body>
             <ul>
@@ -93,10 +93,10 @@
             </ul>
             </body>
-            </html>"""%self.path
+            </html>""" % self.path
         
         self.lhelp.SetPage(page)
-        self.lhelp.Bind(wx.html.EVT_HTML_LINK_CLICKED,self.OnLinkClicked )
+        self.lhelp.Bind(wx.html.EVT_HTML_LINK_CLICKED, self.OnLinkClicked)
         
-        vbox.Add(self.rhelp,1, wx.EXPAND)
+        vbox.Add(self.rhelp, 1, wx.EXPAND)
         vboxl.Add(self.lhelp, 1, wx.EXPAND)
         rpanel.SetSizer(vbox)
@@ -105,5 +105,5 @@
         
         vbox1 = wx.BoxSizer(wx.HORIZONTAL)
-        vbox1.Add(splitter,1,wx.EXPAND)
+        vbox1.Add(splitter, 1, wx.EXPAND)
         splitter.AppendWindow(lpanel, 200)
         splitter.AppendWindow(rpanel)
@@ -121,5 +121,9 @@
 
 class ViewApp(wx.App):
+    """
+    """
     def OnInit(self):
+        """
+        """
         frame = HelpWindow(None, -1, 'HelpWindow')    
         frame.Show(True)
Index: invariantview/perspectives/invariant/invariant.py
===================================================================
--- invariantview/perspectives/invariant/invariant.py	(revision 7a078643f880a7d4151c32547cc839eb098db2f3)
+++ invariantview/perspectives/invariant/invariant.py	(revision 4a2b054ce1972d8c903cf87a9d285cad450d5353)
@@ -11,15 +11,17 @@
 #copyright 2009, University of Tennessee
 ################################################################################
-import os
+#import os
 import sys
 import wx
 import copy
-import logging, time
-from sans.invariant import invariant
+import logging
+#import time
+#from sans.invariant import invariant
 
 from DataLoader.data_info import Data1D as LoaderData1D
-from sans.guiframe.dataFitting import Theory1D, Data1D
-
-from sans.guicomm.events import NewPlotEvent, StatusEvent
+from sans.guiframe.dataFitting import Theory1D
+from sans.guiframe.dataFitting import Data1D
+
+from sans.guicomm.events import NewPlotEvent
 from sans.guicomm.events import ERR_DATA
 from invariant_state import Reader as reader
@@ -142,5 +144,6 @@
         self.graph = graph
         invariant_option = "Compute invariant"
-        invariant_hint = "Will displays the invariant panel for futher computation"
+        invariant_hint = "Will displays the invariant panel for"
+        invairant_hint += " futher computation"
        
         for item in self.graph.plottables:
@@ -148,8 +151,10 @@
                 if issubclass(item.__class__,LoaderData1D):
            
-                    if item.name !="$I_{obs}(q)$" and item.name !="$P_{fit}(r)$":
+                    if item.name != "$I_{obs}(q)$" and \
+                        item.name != " $P_{fit}(r)$":
                         if hasattr(item, "group_id"):
                             return [[invariant_option, 
-                                        invariant_hint, self._compute_invariant]]
+                                        invariant_hint, 
+                                        self._compute_invariant]]
         return []   
 
@@ -220,10 +225,10 @@
         """
         self.panel = event.GetEventObject()
-        Plugin.on_perspective(self,event=event)
+        Plugin.on_perspective(self, event=event)
         for plottable in self.panel.graph.plottables:
             if plottable.name == self.panel.graph.selected_plottable:
-                ## put the errors values back to the model if the errors were hiden
-                ## before sending them to the fit engine
-                if len(self.err_dy)>0:
+                ## put the errors values back to the model if the errors 
+                ## were hiden before sending them to the fit engine
+                if len(self.err_dy) > 0:
                     dy = plottable.dy
                     if plottable.name in  self.err_dy.iterkeys():
@@ -260,5 +265,7 @@
             self.state_reader.write(filepath, current_plottable, state)
         else:
-            raise RuntimeError, "invariant.save_file: the data being saved is not a DataLoader.data_info.Data1D object" 
+            msg = "invariant.save_file: the data being saved is"
+            msg += " not a DataLoader.data_info.Data1D object" 
+            raise RuntimeError, msg
 
     def set_state(self, state, datainfo=None):    
@@ -273,9 +280,12 @@
             
             if datainfo is None:
-                raise RuntimeError, "invariant.set_state: datainfo parameter cannot be None in standalone mode"
-            
-            datainfo.meta_data['invstate'].file = datainfo.meta_data['invstate'].file
-            datainfo.name = datainfo.meta_data['invstate'].file
-            datainfo.filename = datainfo.meta_data['invstate'].file
+                msg = "invariant.set_state: datainfo parameter cannot"
+                msg += " be None in standalone mode"
+                raise RuntimeError, msg
+            
+            name = datainfo.meta_data['invstate'].file
+            datainfo.meta_data['invstate'].file = name
+            datainfo.name = name
+            datainfo.filename = name
             self.__data = datainfo
             self.__data.group_id = datainfo.filename
@@ -300,5 +310,6 @@
         after a .inv/.svs file is loaded 
         """
-        self.invariant_panel.set_state(state=self.temp_state,data=self.__data)
+        self.invariant_panel.set_state(state=self.temp_state,
+                                       data=self.__data)
         self.temp_state = None
         
@@ -312,9 +323,9 @@
         :param name: Data's name to use for the legend
         """
-        import copy
+        #import copy
         if data is None:
             new_plot = Theory1D(x=[], y=[], dy=None)
         else:
-            scale =self.invariant_panel.get_scale()
+            scale = self.invariant_panel.get_scale()
             background = self.invariant_panel.get_background()
             
@@ -335,10 +346,11 @@
         if data != None:
             name_head = name.split('-')
-            if name_head[0]=='Low':
+            if name_head[0] == 'Low':
                 self.invariant_panel.state.theory_lowQ = copy.deepcopy(new_plot)
-            elif name_head[0]=='High':
+            elif name_head[0] == 'High':
                 self.invariant_panel.state.theory_highQ = copy.deepcopy(new_plot)
 
-        wx.PostEvent(self.parent, NewPlotEvent(plot=new_plot, title=self.__data.name))
+        wx.PostEvent(self.parent, NewPlotEvent(plot=new_plot,
+                                               title=self.__data.name))
         
     def plot_data(self, scale, background):
@@ -354,4 +366,5 @@
         if new_plot != None:
             self.invariant_panel.state.data = copy.deepcopy(new_plot)
-        wx.PostEvent(self.parent, NewPlotEvent(plot=new_plot, title=new_plot.name))
-        
+        wx.PostEvent(self.parent, NewPlotEvent(plot=new_plot,
+                                               title=new_plot.name))
+        
Index: invariantview/perspectives/invariant/invariant_details.py
===================================================================
--- invariantview/perspectives/invariant/invariant_details.py	(revision d7a39e5e4d2fdf0181a63b2cb239064dd754a674)
+++ invariantview/perspectives/invariant/invariant_details.py	(revision 4a2b054ce1972d8c903cf87a9d285cad450d5353)
@@ -2,7 +2,7 @@
 import wx
 import sys
-
 import numpy
-from sans.guiframe.utils import format_number, check_float
+from sans.guiframe.utils import format_number
+from sans.guiframe.utils import check_float
 from invariant_widgets import OutputTextCtrl
 # Dimensions related to chart
@@ -16,5 +16,5 @@
 DEFAULT_QSTAR = 1.0  
   
-if sys.platform.count("win32")>0:
+if sys.platform.count("win32") > 0:
     _STATICBOX_WIDTH = 450
     PANEL_WIDTH = 500
@@ -28,5 +28,4 @@
     
   
-    
 class InvariantContainer(wx.Object):
     """
@@ -84,5 +83,6 @@
         else:
             try:
-                self.qstar_low_percent = float(self.qstar_low)/float(self.qstar_total)
+                self.qstar_low_percent = float(self.qstar_low)\
+                                            /float(self.qstar_total)
             except:
                 self.qstar_low_percent = 'error'
@@ -92,5 +92,6 @@
         else:
             try:
-                self.qstar_high_percent = float(self.qstar_high)/float(self.qstar_total)
+                self.qstar_high_percent = float(self.qstar_high)\
+                                                /float(self.qstar_total)
             except:
                 self.qstar_high_percent = 'error'
@@ -105,8 +106,9 @@
             return 
         if self.qstar_total == 0:
-             self.existing_warning = True
-             self.warning_msg = "Invariant is zero. \n"
-             self.warning_msg += "The calculations are likely to be unreliable!\n"
-             return 
+            self.existing_warning = True
+            self.warning_msg = "Invariant is zero. \n"
+            self.warning_msg += "The calculations are likely "
+            self.warning_msg += "to be unreliable!\n"
+            return 
         #warning to the user when the extrapolated invariant is greater than %5
         msg = ''
@@ -117,6 +119,8 @@
         if self.qstar_low_percent == 'error':
             self.existing_warning = True
-            msg = 'Error occurred when computing extrapolated invariant at low-Q region.\n'
-        elif self.qstar_low_percent is not None and self.qstar_low_percent >= 0.05:
+            msg = "Error occurred when computing extrapolated invariant"
+            msg += " at low-Q region.\n"
+        elif self.qstar_low_percent is not None and \
+             self.qstar_low_percent >= 0.05:
             self.existing_warning = True
             msg += "Extrapolated contribution at Low Q is higher "
@@ -124,6 +128,8 @@
         if self.qstar_high_percent == 'error':
             self.existing_warning = True
-            msg += 'Error occurred when computing extrapolated invariant at high-Q region.\n'
-        elif self.qstar_high_percent is not None and self.qstar_high_percent >= 0.05:
+            msg += 'Error occurred when computing extrapolated'
+            msg += ' invariant at high-Q region.\n'
+        elif self.qstar_high_percent is not None and \
+            self.qstar_high_percent >= 0.05:
             self.existing_warning = True
             msg += "Extrapolated contribution at High Q is higher "
@@ -139,5 +145,6 @@
             self.warning_msg = ''
             self.warning_msg += msg 
-            self.warning_msg += "The calculations are likely to be unreliable!\n"
+            self.warning_msg += "The calculations are likely to be"
+            self.warning_msg += " unreliable!\n"
         else:
             self.warning_msg = "No Details on calculations available...\n"
@@ -150,5 +157,5 @@
                                     title="Invariant Details",
                                     size=(PANEL_WIDTH, PANEL_HEIGHT)):
-        wx.Dialog.__init__(self, parent=parent, id=id,title=title,size=size)
+        wx.Dialog.__init__(self, parent=parent, id=id, title=title, size=size)
         
         #Font size 
@@ -184,10 +191,11 @@
         Define main sizers needed for this panel
         """
-        #Box sizers must be defined first before defining buttons/textctrls (MAC).
+        #Box sizers must be defined first before defining buttons/textctrls
+        # (MAC).
         self.main_sizer = wx.BoxSizer(wx.VERTICAL)
         #Sizer related to chart
         chart_box = wx.StaticBox(self, -1, "Invariant Chart")
         self.chart_sizer = wx.StaticBoxSizer(chart_box, wx.VERTICAL)
-        self.chart_sizer.SetMinSize((PANEL_WIDTH - 50,110))
+        self.chart_sizer.SetMinSize((PANEL_WIDTH - 50, 110))
         #Sizer related to invariant values
         self.invariant_sizer =  wx.GridBagSizer(4, 4)
@@ -196,9 +204,9 @@
                                                       wx.HORIZONTAL)
 
-        self.invariant_box_sizer.SetMinSize((PANEL_WIDTH - 50,-1))
+        self.invariant_box_sizer.SetMinSize((PANEL_WIDTH - 50, -1))
         #Sizer related to warning message
         warning_box = wx.StaticBox(self, -1, "Warning")
         self.warning_sizer = wx.StaticBoxSizer(warning_box, wx.VERTICAL)
-        self.warning_sizer.SetMinSize((PANEL_WIDTH-50,-1))
+        self.warning_sizer.SetMinSize((PANEL_WIDTH-50, -1))
         #Sizer related to button
         self.button_sizer = wx.BoxSizer(wx.HORIZONTAL)
@@ -221,81 +229,96 @@
         invariant_txt = wx.StaticText(self, -1, 'Q* from Data ')
         invariant_txt.SetToolTipString("Invariant in the data set's Q range.")
-        self.invariant_tcl = OutputTextCtrl(self, -1, size=(_BOX_WIDTH,-1))
-        self.invariant_tcl.SetToolTipString("Invariant in the data set's Q range.")
-        self.invariant_err_tcl = OutputTextCtrl(self, -1, size=(_BOX_WIDTH,-1))
-        self.invariant_err_tcl.SetToolTipString("Uncertainty on the invariant from data's range.")
+        self.invariant_tcl = OutputTextCtrl(self, -1, size=(_BOX_WIDTH, -1))
+        hint_msg = "Invariant in the data set's Q range."
+        self.invariant_tcl.SetToolTipString(hint_msg)
+        self.invariant_err_tcl = OutputTextCtrl(self, -1, size=(_BOX_WIDTH, -1))
+        hint_msg = "Uncertainty on the invariant from data's range."
+        self.invariant_err_tcl.SetToolTipString(hint_msg)
         invariant_units_txt = wx.StaticText(self, -1, unit_invariant)
-        invariant_units_txt.SetToolTipString("Unit of the invariant from data's Q range")
+        hint_msg = "Unit of the invariant from data's Q range"
+        invariant_units_txt.SetToolTipString(hint_msg)
        
         invariant_low_txt = wx.StaticText(self, -1, 'Q* from Low-Q')
-        invariant_low_txt.SetToolTipString("Extrapolated invariant from low-Q range.")
-        self.invariant_low_tcl = OutputTextCtrl(self, -1, size=(_BOX_WIDTH,-1))
-        self.invariant_low_tcl.SetToolTipString("Extrapolated invariant from low-Q range.")
-        self.invariant_low_err_tcl = OutputTextCtrl(self, -1, size=(_BOX_WIDTH,-1))
-        self.invariant_low_err_tcl.SetToolTipString("Uncertainty on the invariant from low-Q range.")
-        invariant_low_units_txt = wx.StaticText(self, -1,  unit_invariant)
-        invariant_low_units_txt.SetToolTipString("Unit of the extrapolated invariant from  low-Q range")
+        hint_msg = "Extrapolated invariant from low-Q range."
+        invariant_low_txt.SetToolTipString(hint_msg)
+        self.invariant_low_tcl = OutputTextCtrl(self, -1, size=(_BOX_WIDTH, -1))
+        hint_msg = "Extrapolated invariant from low-Q range."
+        self.invariant_low_tcl.SetToolTipString(hint_msg)
+        self.invariant_low_err_tcl = OutputTextCtrl(self, -1,
+                                                    size=(_BOX_WIDTH, -1))
+        hint_msg = "Uncertainty on the invariant from low-Q range."
+        self.invariant_low_err_tcl.SetToolTipString(hint_msg)
+        invariant_low_units_txt = wx.StaticText(self, -1, unit_invariant)
+        hint_msg = "Unit of the extrapolated invariant from  low-Q range"
+        invariant_low_units_txt.SetToolTipString(hint_msg)
         
         invariant_high_txt = wx.StaticText(self, -1, 'Q* from High-Q')
-        invariant_high_txt.SetToolTipString("Extrapolated invariant from  high-Q range")
-        self.invariant_high_tcl = OutputTextCtrl(self, -1, size=(_BOX_WIDTH,-1))
-        self.invariant_high_tcl.SetToolTipString("Extrapolated invariant from  high-Q range")
-        self.invariant_high_err_tcl = OutputTextCtrl(self, -1, size=(_BOX_WIDTH,-1))
-        self.invariant_high_err_tcl.SetToolTipString("Uncertainty on the invariant from high-Q range.")
-        invariant_high_units_txt = wx.StaticText(self, -1,  unit_invariant)
-        invariant_high_units_txt.SetToolTipString("Unit of the extrapolated invariant from  high-Q range")
+        hint_msg = "Extrapolated invariant from  high-Q range"
+        invariant_high_txt.SetToolTipString(hint_msg)
+        self.invariant_high_tcl = OutputTextCtrl(self, -1,
+                                                 size=(_BOX_WIDTH, -1))
+        hint_msg = "Extrapolated invariant from  high-Q range"
+        self.invariant_high_tcl.SetToolTipString(hint_msg)
+        self.invariant_high_err_tcl = OutputTextCtrl(self, -1,
+                                                     size=(_BOX_WIDTH, -1))
+        hint_msg = "Uncertainty on the invariant from high-Q range."
+        self.invariant_high_err_tcl.SetToolTipString()
+        invariant_high_units_txt = wx.StaticText(self, -1, unit_invariant)
+        hint_msg = "Unit of the extrapolated invariant from  high-Q range"
+        invariant_high_units_txt.SetToolTipString(hint_msg)
    
         #Invariant low
         iy = 0
         ix = 0 
-        self.invariant_sizer.Add(invariant_low_txt, (iy, ix), (1,1),
+        self.invariant_sizer.Add(invariant_low_txt, (iy, ix), (1, 1),
                              wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15)
         ix += 1
-        self.invariant_sizer.Add(self.invariant_low_tcl, (iy, ix), (1,1),
+        self.invariant_sizer.Add(self.invariant_low_tcl, (iy, ix), (1, 1),
                             wx.EXPAND|wx.ADJUST_MINSIZE, 0) 
         ix += 1
         self.invariant_sizer.Add( wx.StaticText(self, -1, uncertainty),
-                         (iy, ix),(1,1),wx.EXPAND|wx.ADJUST_MINSIZE, 0) 
-        ix += 1
-        self.invariant_sizer.Add(self.invariant_low_err_tcl, (iy, ix), (1,1),
+                         (iy, ix), (1, 1),wx.EXPAND|wx.ADJUST_MINSIZE, 0) 
+        ix += 1
+        self.invariant_sizer.Add(self.invariant_low_err_tcl, (iy, ix), (1, 1),
                             wx.EXPAND|wx.ADJUST_MINSIZE, 0)
         ix += 1
         self.invariant_sizer.Add(invariant_low_units_txt
-                         ,(iy, ix),(1,1),wx.EXPAND|wx.ADJUST_MINSIZE, 0)  
+                         ,(iy, ix), (1, 1), wx.EXPAND|wx.ADJUST_MINSIZE, 0)  
         #Invariant 
         iy += 1
         ix = 0 
-        self.invariant_sizer.Add(invariant_txt, (iy, ix), (1,1),
+        self.invariant_sizer.Add(invariant_txt, (iy, ix), (1, 1),
                              wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15)
         ix += 1
-        self.invariant_sizer.Add(self.invariant_tcl, (iy, ix), (1,1),
+        self.invariant_sizer.Add(self.invariant_tcl, (iy, ix), (1, 1),
                             wx.EXPAND|wx.ADJUST_MINSIZE, 0) 
         ix += 1
         self.invariant_sizer.Add(wx.StaticText(self, -1, uncertainty),
-                         (iy, ix),(1,1),wx.EXPAND|wx.ADJUST_MINSIZE, 0) 
-        ix += 1
-        self.invariant_sizer.Add(self.invariant_err_tcl, (iy, ix), (1,1),
+                         (iy, ix), (1, 1),wx.EXPAND|wx.ADJUST_MINSIZE, 0) 
+        ix += 1
+        self.invariant_sizer.Add(self.invariant_err_tcl, (iy, ix), (1, 1),
                             wx.EXPAND|wx.ADJUST_MINSIZE, 0) 
         ix +=1
         self.invariant_sizer.Add(invariant_units_txt
-                         ,(iy, ix),(1,1),wx.EXPAND|wx.ADJUST_MINSIZE, 0)  
+                         ,(iy, ix), (1, 1),wx.EXPAND|wx.ADJUST_MINSIZE, 0)  
         #Invariant high
         iy += 1
         ix = 0 
-        self.invariant_sizer.Add(invariant_high_txt, (iy, ix), (1,1),
+        self.invariant_sizer.Add(invariant_high_txt, (iy, ix), (1, 1),
                              wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15)
         ix += 1
-        self.invariant_sizer.Add(self.invariant_high_tcl, (iy, ix), (1,1),
+        self.invariant_sizer.Add(self.invariant_high_tcl, (iy, ix), (1, 1),
                             wx.EXPAND|wx.ADJUST_MINSIZE, 0) 
         ix += 1
         self.invariant_sizer.Add(wx.StaticText(self, -1, uncertainty),
-                         (iy, ix),(1,1),wx.EXPAND|wx.ADJUST_MINSIZE, 0) 
-        ix += 1
-        self.invariant_sizer.Add(self.invariant_high_err_tcl, (iy, ix), (1,1),
+                         (iy, ix), (1, 1),wx.EXPAND|wx.ADJUST_MINSIZE, 0) 
+        ix += 1
+        self.invariant_sizer.Add(self.invariant_high_err_tcl, (iy, ix), (1, 1),
                             wx.EXPAND|wx.ADJUST_MINSIZE, 0) 
         ix += 1
         self.invariant_sizer.Add(invariant_high_units_txt
-                         ,(iy, ix),(1,1),wx.EXPAND|wx.ADJUST_MINSIZE, 0)
-        self.invariant_box_sizer.Add(self.invariant_sizer, 0, wx.TOP|wx.BOTTOM, 10)  
+                         ,(iy, ix), (1, 1),wx.EXPAND|wx.ADJUST_MINSIZE, 0)
+        self.invariant_box_sizer.Add(self.invariant_sizer, 0,
+                                     wx.TOP|wx.BOTTOM, 10)  
        
     def _layout_warning(self):
@@ -319,5 +342,5 @@
         button_ok.SetToolTipString("Give Details on Computation")
         self.Bind(wx.EVT_BUTTON, self.on_close, id=id)
-        self.button_sizer.AddMany([((20,20), 0 , wx.LEFT, 350),
+        self.button_sizer.AddMany([((20, 20), 0 , wx.LEFT, 350),
                                    (button_ok, 0 , wx.RIGHT, 10)])
     def _do_layout(self):
@@ -341,10 +364,16 @@
         Set value of txtcrtl
         """
-        self.invariant_tcl.SetValue(format_number(self.qstar_container.qstar))
-        self.invariant_err_tcl.SetValue(format_number(self.qstar_container.qstar_err)) 
-        self.invariant_low_tcl.SetValue(format_number(self.qstar_container.qstar_low))
-        self.invariant_low_err_tcl.SetValue(format_number(self.qstar_container.qstar_low_err)) 
-        self.invariant_high_tcl.SetValue(format_number(self.qstar_container.qstar_high))
-        self.invariant_high_err_tcl.SetValue(format_number(self.qstar_container.qstar_high_err)) 
+        value = format_number(self.qstar_container.qstar)
+        self.invariant_tcl.SetValue(value)
+        value = format_number(self.qstar_container.qstar_err)
+        self.invariant_err_tcl.SetValue(value) 
+        value = format_number(self.qstar_container.qstar_low)
+        self.invariant_low_tcl.SetValue(value)
+        value = format_number(self.qstar_container.qstar_low_err)
+        self.invariant_low_err_tcl.SetValue(value) 
+        value = format_number(self.qstar_container.qstar_high)
+        self.invariant_high_tcl.SetValue(value)
+        value = format_number(self.qstar_container.qstar_high_err)
+        self.invariant_high_err_tcl.SetValue(value) 
 
     def get_scale(self, percentage, scale_name='scale'):
@@ -361,5 +390,6 @@
             scale = RECTANGLE_SCALE
             self.warning_msg += "Receive an invalid scale for %s\n"
-            self.warning_msg += "check this value : %s\n"%(str(scale_name),str(percentage))
+            self.warning_msg += "check this value : %s\n"%(str(scale_name),
+                                                           str(percentage))
         return  scale
     
@@ -388,6 +418,7 @@
             gc = wx.GraphicsContext.Create(dc)
         except NotImplementedError:
-            dc.DrawText("This build of wxPython does not support the wx.GraphicsContext "
-                        "family of classes.", 25, 25)
+            msg = "This build of wxPython does not support "
+            msg += "the wx.GraphicsContext family of classes."
+            dc.DrawText(msg, 25, 25)
             return
         #Start the drawing
